<p>Razmotrite sklop čije je sučelje slično prethodno prikazanome; sada se radi o sklopu imena <em>sklop2</em>
   i njegovo je sučelje prikazano na slici 1 u nastavku.
</p>

<figure class="mlFigure">
<img src="@#file#(sklop2i.svg)" alt="Sučelje sklopa"><br>
<figcaption><span class="mlFigKey">Slika 1.</span> Sučelje sklopa <em>sklop2</em>.</figcaption>
</figure>

<form id="mojFormular" onsubmit="return false;">
<div class="mlQuestionText">
  <div>
    U prethodnom koraku napisali ste naredbe kojima ste uključili biblioteku <code>ieee</code> i sve potrebno
    da bismo mogli koristiti tip podataka <code>std_logic</code>. Taj kod
    unesen je u kutiju za unos koja se nalazi u nastavku. Dodajte sada tom kodu opis sučelja sklopa <em>sklop2</em>.
  </div>
  <div>Naredba:<br>
       <textarea rows="10" cols="100" id="unos" name="unos"></textarea><br>
       <button onclick="provjeri(document.getElementById('unos').value, true, 'rez'); return false;">Provjeri</button><br>
       <div id="rez"></div>
  </div>
</div>
</form>

<script src="@#file#(vhdlparser.js)" type="text/javascript" charset="utf-8"></script>
<script src="@#file#(vhdlcheckers.js)" type="text/javascript" charset="utf-8"></script>
<script>
  var konfiguracija = @#raw-text#(jsinitdata);
  document.getElementById('unos').value = konfiguracija.enteredText;

  function questionCollectUserData() {
    let v = document.getElementById('unos').value;
    return {
      enteredText: v,
      textOK: provjeri(v, false, null)
    };
  }

  function provjeri(text, verbose, izlaz) {
      try {
        let tools = new VHDLCheckerTools();
        let builder = tools.buildVHDLChecker(text, function(parser) {return parser.parseLibsAndUsesAndEntity()});
        if(!builder.result.hasAnyErrorsOrInfos()) {
          let libNames = builder.node[0];
          let useNames = builder.node[1];
          tools.checkLibUses(builder.result, libNames, useNames, ["ieee"], [["ieee", "std_logic_1164", "all"]]);

          var targetEntity = new VHDLEntity("sklop2", [
            new VHDLPort("a", VHDLPort.MODE_IN, "std_logic", null),
            new VHDLPort("b", VHDLPort.MODE_IN, "std_logic", null),
            new VHDLPort("c", VHDLPort.MODE_IN, "std_logic", null),
            new VHDLPort("d", VHDLPort.MODE_IN, "std_logic", null),
            new VHDLPort("f", VHDLPort.MODE_OUT, "std_logic", null),
            new VHDLPort("g", VHDLPort.MODE_OUT, "std_logic", null),
            new VHDLPort("h", VHDLPort.MODE_OUT, "std_logic", null)
          ]);
          tools.compareWithTargetEntity(builder.result, builder.node[2], targetEntity, true);
        }
        if(verbose) {
          tools.generateHTMLResultRepresentation(builder.result, izlaz);
        }

        if(builder.result.hasAnyErrorsOrInfos()) {
          return false;
        }
        return true;
      } catch(errx) {
        if(verbose) document.getElementById(izlaz).innerHTML = "<strong>Napisani kod ne može se parsirati.</strong><br>Prijavljena greška je: "+errx;
        return false;
      }
  }
</script>

